Name:		almalinux-release-nvidia-driver
Summary:	AlmaLinux NVIDIA driver repository configuration
Version:	10
Release:	2%{?dist}
License:	GPL-2.0-only
URL:		https://almalinux.org/
ExclusiveArch:	%{x86_64} %{arm64}
Source0:	almalinux-nvidia.repo
Source1:	negativo-nvidia.repo

Requires:       epel-release
Requires(post): epel-release
Provides:	almalinux-release-nvidia-driver = %{version}
Conflicts:	epel-nvidia


%description
DNF configuration for AlmaLinux NVIDIA driver repository


%prep
%ifarch x86_64_v2
sed -i "s/\$basearch/x86_64_v2/g" %{SOURCE0}
sed -i '/^mirrorlist=/ s|$|?arch=x86_64_v2|g' %{SOURCE0}
%endif


%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/almalinux-nvidia.repo
%ifnarch x86_64_v2
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/negativo-nvidia.repo
%endif


%post
if [ -x /usr/bin/crb ]; then
  /usr/bin/crb enable
fi


%files
%config(noreplace) %{_sysconfdir}/yum.repos.d/almalinux-nvidia.repo
%ifnarch x86_64_v2
%{_sysconfdir}/yum.repos.d/negativo-nvidia.repo
%endif


%changelog
* Tue May 27 2025 Jonathan Wright <jonathan@almalinux.org> - 10-2
- Fix baseurl and mirrorlist in almalinux-nvidia.repo

* Mon May 26 2025 Jonathan Wright <jonathan@almalinux.org> - 10-1
- Initial release
